Skip site navigation (1)Skip section navigation (2)
Date:      Tue, 13 Dec 2016 01:41:06 +0000 (UTC)
From:      Devin Teske <dteske@FreeBSD.org>
To:        src-committers@freebsd.org, svn-src-all@freebsd.org, svn-src-head@freebsd.org
Subject:   svn commit: r309966 - head/usr.sbin/bsdinstall/scripts
Message-ID:  <201612130141.uBD1f6sF045342@repo.freebsd.org>

next in thread | raw e-mail | index | archive | help
Author: dteske
Date: Tue Dec 13 01:41:06 2016
New Revision: 309966
URL: https://svnweb.freebsd.org/changeset/base/309966

Log:
  The output of dialog needs to be sanitized
  for portability/compatibility requirements

Modified:
  head/usr.sbin/bsdinstall/scripts/wlanconfig

Modified: head/usr.sbin/bsdinstall/scripts/wlanconfig
==============================================================================
--- head/usr.sbin/bsdinstall/scripts/wlanconfig	Tue Dec 13 01:39:09 2016	(r309965)
+++ head/usr.sbin/bsdinstall/scripts/wlanconfig	Tue Dec 13 01:41:06 2016	(r309966)
@@ -126,6 +126,7 @@ dialog_country_select()
 		$regdomains                            \
 		2>&1 >&$DIALOG_TERMINAL_PASSTHRU_FD
 	)
+	f_dialog_data_sanitize regdomain
 
 	f_dialog_title "Country selection"
 	prompt="Select your country."
@@ -142,6 +143,7 @@ dialog_country_select()
 		$countries                           \
 		2>&1 >&$DIALOG_TERMINAL_PASSTHRU_FD
 	)
+	f_dialog_data_sanitize country
 
 	country_set "$regdomain" "$country"
 }
@@ -245,7 +247,9 @@ while :; do
 		$( echo $NETWORKS | tr '\n' ' ' )" \
 		2>&1 >&$DIALOG_TERMINAL_PASSTHRU_FD
 	)
-	case $? in
+	retval=$?
+	f_dialog_data_sanitize NETWORK
+	case $retval in
 	$DIALOG_OK) break ;;
 	$DIALOG_CANCEL)
 		# here we ask if the user wants to select the network manually



Want to link to this message? Use this URL: <https://mail-archive.FreeBSD.org/cgi/mid.cgi?201612130141.uBD1f6sF045342>